curl "https://starknet.api.avnu.fi/staking/v3"
async function getStakingInfo() {
const response = await fetch(
'https://starknet.api.avnu.fi/staking/v3'
);
return await response.json();
}
import requests
def get_staking_info():
response = requests.get(
'https://starknet.api.avnu.fi/staking/v3'
)
return response.json()
{
"selfStakedAmount": "0x56bc75e2d63100000",
"selfStakedAmountInUsd": 1250.50,
"operationalAddress": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"stakerAddress": "0x0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"commission": 0.05,
"delegationPools": [
{
"poolAddress": "0x0abc123def456789...",
"tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"stakedAmount": "0x152d02c7e14af6800000",
"stakedAmountInUsd": 125000.00,
"apr": 0.085
}
]
}
Earn
Get Staking Info
Get overall staking information and delegation pools
GET
/
staking
/
v3
curl "https://starknet.api.avnu.fi/staking/v3"
async function getStakingInfo() {
const response = await fetch(
'https://starknet.api.avnu.fi/staking/v3'
);
return await response.json();
}
import requests
def get_staking_info():
response = requests.get(
'https://starknet.api.avnu.fi/staking/v3'
)
return response.json()
{
"selfStakedAmount": "0x56bc75e2d63100000",
"selfStakedAmountInUsd": 1250.50,
"operationalAddress": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"stakerAddress": "0x0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"commission": 0.05,
"delegationPools": [
{
"poolAddress": "0x0abc123def456789...",
"tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"stakedAmount": "0x152d02c7e14af6800000",
"stakedAmountInUsd": 125000.00,
"apr": 0.085
}
]
}
Overview
Returns overall staking information including all available delegation pools. Use this to display pool options to users.Response
string
required
The self-staked amount (hex format)
number
The self-staked amount in USD
string
required
The operational address
string
required
The reward address
string
required
The staker address
number
required
The commission rate
array
required
curl "https://starknet.api.avnu.fi/staking/v3"
async function getStakingInfo() {
const response = await fetch(
'https://starknet.api.avnu.fi/staking/v3'
);
return await response.json();
}
import requests
def get_staking_info():
response = requests.get(
'https://starknet.api.avnu.fi/staking/v3'
)
return response.json()
{
"selfStakedAmount": "0x56bc75e2d63100000",
"selfStakedAmountInUsd": 1250.50,
"operationalAddress": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"stakerAddress": "0x0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"commission": 0.05,
"delegationPools": [
{
"poolAddress": "0x0abc123def456789...",
"tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"stakedAmount": "0x152d02c7e14af6800000",
"stakedAmountInUsd": 125000.00,
"apr": 0.085
}
]
}
Was this page helpful?
⌘I